Highlighted

Unable to correctly instantiate Classes by the Use API in AEM 6.4.1

lakshmipriya_th

22-10-2018

I installed 6.4 fresh instance and then on installation of a service pack I got it to be 6.4.1 . I frequently get this error for multiple Pages. When I restart the instance, it gets fixed for one and throws error on another page.

org.apache.sling.api.SlingException: Cannot get DefaultSlingScript: Identifier sompath....GlobalPage cannot be correctly instantiated by the Use API

at org.apache.sling.scripting.core.impl.DefaultSlingScript.service(DefaultSlingScript.java:510) [org.apache.sling.scripting.core:2.0.54]

at org.apache.sling.engine.impl.request.RequestData.service(RequestData.java:552) [org.apache.sling.engine:2.6.12]

at org.apache.sling.engine.impl.filter.SlingComponentFilterChain.render(SlingComponentFilterChain.java:44) [org.apache.sling.engine:2

Replies